@echo off
rem *****************************************************
rem * cpysetup.bat    (Copied from cpysetup.srv)        *
rem *                                                   *
rem * This batch file copies necessary files for setup  *
rem * to the directory <destination dir>, copying only  *
rem * those files for setup in language <language>      *
rem *                                                   *
rem * usage: cpysetup.bat <destination dir> <language>  *
rem *                                                   *
rem * Note: <destination dir> must be fully qualified   *
rem *****************************************************

if "%2"=="" goto parmerr
if NOT "%3"=="" goto parmerr
xcopy %0\..\cpysetup.bat %1\db2\common\*.* 
xcopy %0\..\cpysetup.bat %1\db2\%2\*.* 
if not exist %1\db2\common\cpysetup.bat goto cpyerr
if not exist %1\db2\%2\cpysetup.bat goto cpyerr
del %1\db2\common\cpysetup.bat
del %1\db2\%2\cpysetup.bat
xcopy %0\.. %1\db2\common /s /e 
if ERRORLEVEL 1 goto spcerr1
xcopy %0\..\..\%2 %1\db2\%2 /s /e 
if ERRORLEVEL 1 goto spcerr2
copy %0\..\..\..\*.* %1 
if ERRORLEVEL 1 goto spcerr3
goto end

:parmerr
@echo "Usage: cpysetup.bat <directory to copy to> <language>"
goto bottom

:end
@echo "Finished Successfully!"
goto bottom

:spcerr1
@echo "There is not enough disk space to complete this command or directory %0\..\ (relative to the directory from which this command was executed) does not exist!"
goto bottom

:spcerr2
@echo "There is not enough disk space to complete this command or directory %0\..\..\%2 (relative to the directory from which this command was executed) does not exist!"
goto bottom

:spcerr3
@echo "There is not enough disk space to complete this command or directory %0\..\..\..\ (relative to the directory from which this command was executed) does not exist!"
goto bottom

:cpyerr
@echo "There was an error copying files %1\db2\common\cpysetup.bat and/or %1\db2\%2\cpysetup.bat!"
goto bottom

:bottom
